This queue is for tickets about the CPAN CPAN distribution.

Report information
The Basics
Id:
118579
Status:
resolved
Priority:
Low/Low
Queue:

People
Owner:
Nobody in particular
Requestors:
RURBAN [...] cpan.org
Cc:
AdminCc:

BugTracker
Severity:
(no value)
Broken in:
2.14
Fixed in:
2.16



Subject: Bundle expand
For the latest CPAN release I needed the following patch with CPAN::SQLite to properly expand Bundles. The CPAN::Module class cannot find it, only CPAN::Bundle. Otherwise I get undef. --- cpan/CPAN/lib/App/Cpan.pm +++ cpan/CPAN/lib/App/Cpan.pm @@ -6,7 +6,7 @@ use vars qw($VERSION); use if $] < 5.008 => 'IO::Scalar'; -$VERSION = '1.64'; +$VERSION = '1.64_01'; =head1 NAME @@ -1479,8 +1479,8 @@ sub _path_to_module sub _expand_module { my( $module ) = @_; - - my $expanded = CPAN::Shell->expand( "Module", $module ); + my $class = $module =~ /^Bundle::/ ? "Bundle" : "Module"; + my $expanded = CPAN::Shell->expand( $class, $module ); unless( defined $expanded ) { $logger->error( "Could not expand [$module]. Check the module name." ); my $threshold = ( -- Reini Urban
Subject: Re: [rt.cpan.org #118579] Bundle expand
Date: Wed, 02 Nov 2016 05:41:16 +0100
To: "Reini Urban via RT" <bug-CPAN@rt.cpan.org>
From: Andreas Koenig <andreas.koenig.7os6VVqR@franz.ak.mind.de>
Show quoted text
>>>>> On Tue, 1 Nov 2016 02:24:54 -0400, "Reini Urban via RT" <bug-CPAN@rt.cpan.org> said:
Show quoted text
> -$VERSION = '1.64'; > +$VERSION = '1.64_01';
Please try from the repository (1.65), it uses already "expandany" and should do it. -- andreas


This service runs on Request Tracker, is sponsored by The Perl Foundation, and maintained by Best Practical Solutions.

Please report any issues with rt.cpan.org to rt-cpan-admin@bestpractical.com.